aboutsummaryrefslogtreecommitdiff
path: root/capture.sh
diff options
context:
space:
mode:
authorGravatar Andres Erbsen <andreser@mit.edu>2017-06-18 17:07:04 -0400
committerGravatar Andres Erbsen <andreser@mit.edu>2017-06-18 17:07:04 -0400
commita9f4d270c69f4cb746360a46e605031c4ecb26b7 (patch)
treea07fb8c823a1c14149899c04c8136c71bfd8c58a /capture.sh
parente966c5ac810c7214b3f25c9f8ff7b965c0174f51 (diff)
more sh portability fixes...
Diffstat (limited to 'capture.sh')
-rwxr-xr-xcapture.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/capture.sh b/capture.sh
index c41ee167d..6eef0dcd0 100755
--- a/capture.sh
+++ b/capture.sh
@@ -1,7 +1,5 @@
#!/bin/sh
-set -e || true
-set -u || true
-set -o pipefail || true
+set -eu
machine=$(etc/machine.sh)
measurement=$($1/measure | (LC_ALL=C sort -n || true) | head -1024 | tail -1)